/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 *
 * The initial developer of the code is Andy Edmonds.
 * Portions created by the Initial Developer are Copyright (C) 2001
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *  Andy Edmonds <aedmonds@mindspring.com>
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */
	// The RDF service
 const kRDFContractID = "@mozilla.org/rdf/rdf-service;1";
 const kRDFIID = Components.interfaces.nsIRDFService;
 var RDF = Components.classes[kRDFContractID].getService(kRDFIID);
			
  // The RDF component utilities
  var RDFC = '@mozilla.org/rdf/container;1';
  RDFC = Components.classes[RDFC].getService();
  RDFC = RDFC.QueryInterface(Components.interfaces.nsIRDFContainer);

  var RDFCUtils = '@mozilla.org/rdf/container-utils;1';
  RDFCUtils = Components.classes[RDFCUtils].getService();
  RDFCUtils =
RDFCUtils.QueryInterface(Components.interfaces.nsIRDFContainerUtils);



  // The bookmarks service
  var Bookmarks = Components.classes["@mozilla.org/browser/bookmarks-service;1"]. getService(Components.interfaces.nsIRDFDataSource);
Bookmarks = Bookmarks.QueryInterface(Components.interfaces.nsIBookmarksService);
 
// The history service
var History =Components.classes["@mozilla.org/browser/global-history;1"].getService(Components.interfaces.nsIRDFDataSource);
History = History.QueryInterface(Components.interfaces.nsIBrowserHistory);
  //Components.classes["@mozilla.org/browser/global-history;1"].     getService(Components.interfaces.nsIRDFRemoteDataSource);
//Components.classes["@mozilla.org/browser/global-history;1"].getService(Components.interfaces.nsIBrowserHistory);

  var kNC_child =  RDF.GetResource("http://home.netscape.com/NC-rdf#child");
  var kNC_type =  RDF.GetResource("http://home.netscape.com/NC-rdf#type");
  var kNC_BookmarksRoot = RDF.GetResource("NC:BookmarksRoot");
  var kNC_HistoryByDate = RDF.GetResource("NC:HistoryByDate");
  var kNC_HistoryRoot = RDF.GetResource("NC:HistoryRoot");
  var kNC_BookmarkSeparator = RDF.GetResource("http://home.netscape.com/NC-rdf#BookmarkSeparator");
  var kNC_Name =
RDF.GetResource("http://home.netscape.com/NC-rdf#Name");
  var kNC_URL  = RDF.GetResource("http://home.netscape.com/NC-rdf#URL");
  var kNC_Description = RDF.GetResource("http://home.netscape.com/NC-rdf#Description");

var kNC_Date = RDF.GetResource("http://home.netscape.com/NC-rdf#Date");
var kNC_Referrer = RDF.GetResource("http://home.netscape.com/NC-rdf#Referrer");
var kNC_FirstVisitDate = RDF.GetResource("http://home.netscape.com/NC-rdf#FirstVisitDate");
var kNC_Hostname = RDF.GetResource("http://home.netscape.com/NC-rdf#Hostname");
var kNC_Referrer = RDF.GetResource("http://home.netscape.com/NC-rdf#Referrer");
//rdf:http://home.netscape.com/NC-rdf#Referrer"/>

var kNC_Hostname = RDF.GetResource("http://home.netscape.com/NC-rdf#Hostname");
var kNC_VisitCount = RDF.GetResource("http://home.netscape.com/NC-rdf#VisitCount");

var kNC_LastModified = RDF.GetResource("http://home.netscape.com/NC-rdf#LastModifiedDate");
var kNC_LastVisit = RDF.GetResource("http://home.netscape.com/WEB-rdf#LastVisitDate");



		
/*  88             <treerow>
 89               <treecell label="rdf:http://home.netscape.com/NC-rdf#Name"/>
 90               <treecell label="rdf:http://home.netscape.com/NC-rdf#URL"/>
 91               <treecell label="rdf:http://home.netscape.com/NC-rdf#Date"/>
 92               <treecell label="rdf:http://home.netscape.com/NC-rdf#FirstVisitDate"/>
 93               <treecell label="rdf:http://home.netscape.com/NC-rdf#Hostname" />
 94               <treecell label="rdf:http://home.netscape.com/NC-rdf#Referrer"/>
 95               <treecell label="rdf:http://home.netscape.com/NC-rdf#VisitCount"/>
 96             </treerow>
 */
 